# Start authorization Endpoint: POST /{paymentService}/{paymentProduct}/{paymentId}/authorizations Version: 1.0.0 Security: Api access ## Path parameters: - `paymentService` (string, required) Enum: "payments", "bulkPayments" - `paymentProduct` (string, required) Enum: "creditTransfer", "directDebit" - `paymentId` (string, required) Id of the payment initiation ## Header parameters: - `TPP-Redirect-URI` (string) The url to redirect the user to after authorization. - `PSU-IP-Address` (string) IP Address of the PSU. - `Consent-ID` (string) The consent id. Should be set unless a specific Subscription-Id is used. - `Channel-Type` (string) The banking channel. Enum: "unspecified", "openBanking", "psd2" - `Subscription-Id` (string) Id of the subscription to use. Only supported for Channel-Type openBanking. - `Resource-Group-Name` (string) Name of the resource group to use in the specified subscription. Only supported for Channel-Type openBanking - `Scopes` (array) Resource scopes to use, mutually exclusive with subscriptionId. - /: Use all resources available. - /subscriptions/7fdf00601dfb: Use all resources in subscription 7fdf00601dfb. - /subscriptions/7fdf00601dfb/resource-groups/my-company: Use all resources within subscription 7fdf00601dfb and resource-group my-company. Example: "/subscriptions/7fdf00601dfb/resource-groups/my-company" - `api-version` (string) ## Request fields (application/json): - `authenticationMethodId` (null,string) Identification used for later authentication method selection. - `authenticationMethodAcrValues` (null,string) Acr values used for later authentication method selection. ## Response 201 fields (application/json): - `scaStatus` (string) Status of the SCA. Example: * received * psuIdentified * psuAuthenticated * scaMethodSelected * unconfirmed * started * finalised * failed * exempted Example: "started" - `authorizationId` (string) Resource identification of the related SCA. Example: "auth9000" - `_links` (object) - `_links.scaRedirect` (null) URL to redirect the PSU to in case of a redirect-based SCA approach. - `_links.scaOauth` (null) URL where the configuration of the authorisation server can be retrieved in case of an OAuth 2.0-based authentication process. Example: "https://id.aritma.io" - `_links.confirmation` (null) URL to the resource which needs to be updated with an access token for an OAuth 2.0-based authentication process. Example: "https://banking.aritma.io/api/payments/1/authorizations/1" - `_links.self` (object) - `_links.self.href` (string) Url to a resource Example: "https://banking.aritma.io/api/accounts/1234/transactions?fromDate=2019-08-24T14:15:22Z" - `_links.self.verb` (string) The http verb the link is accessible through Enum: "get", "post", "put", "delete" ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 404 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)